Last Comment Bug 358926 - crash [@ EmbedPrivate::Realize]
: crash [@ EmbedPrivate::Realize]
Status: RESOLVED FIXED
: crash
Product: Core Graveyard
Classification: Graveyard
Component: Embedding: GTK Widget (show other bugs)
: Trunk
: x86 Linux
: -- critical (vote)
: ---
Assigned To: timeless
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 10:55 PST by Chris Lahey
Modified: 2012-04-05 00:46 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
look before leaping (751 bytes, patch)
2006-11-27 00:38 PST, timeless
cbiesinger: review+
bzbarsky: superreview+
bzbarsky: approval1.9+
Details | Diff | Review

Description Chris Lahey 2006-10-31 10:55:11 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.2) Gecko/20060419 Fedora/1.5.0.2-1.2.fc5 Firefox/1.5.0.2 pango-text
Build Identifier: firefox package as shipped with Fedora Core 6

I've looked into it and mWindow->Init(this) is returning NS_ERROR_FAILURE, which is being ignored.  mWindow->Init(this) is failing because do_CreateInstance(NS_WEBBROWSER_CONTRACTID); is returning a null pointer.  It looks as if this is because NS_WEBBROWSER_CONTRACTID ("@mozilla.org/embedding/browser/nsWebBrowser;1") isn't in the component registry.  Is there some change to the way I need to initialize gtkmozembed?

Reproducible: Always

Steps to Reproduce:
1. Install FC6
2. Download and run democracyplayer as described at https://develop.participatoryculture.org/projects/democracy/wiki/GTKX11BuildDocs
Actual Results:  
App crashes.  After debugging, have traced problem to do_CreateInstance.
Comment 1 Adam Guthrie 2006-10-31 15:21:26 PST
Maybe you should report this to the democracy guys, too?
Comment 2 Chris Lahey 2006-10-31 15:23:42 PST
I am one of the democracy guys.  I'm trying to figure out how to change democracy to fix it.
Comment 3 John Dennis 2006-11-16 17:47:35 PST
Looks like this is the same bug as reported here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=205499
Comment 4 Chris Lahey 2006-11-16 21:47:13 PST
It is the same thing, I think.  It's explored further here, I think.

I've explored it some more.  On FC6, we fixed it by calling set_comp_path.  However, with newer gtks like on ubuntu or gentoo, a very similar crash occurs unless you set LD_LIBRARY_PATH to the mozilla path.
Comment 5 timeless 2006-11-20 06:15:48 PST
i'll gladly r+ the patch to add the null check, please post it, or wait for me to do all the other work i have to do to catch up.

but the null check won't solve your problem. gecko embedding requirements include someone telling gecko where to find the libraries they want used. classically this is handled by run-mozilla.sh.
Comment 6 Benjamin Smedberg [:bsmedberg] 2006-11-21 08:49:24 PST
What are you trying to embed, and what linkage strategy are you using?
Comment 7 timeless 2006-11-27 00:38:49 PST
Created attachment 246659 [details] [diff] [review]
look before leaping
Comment 8 timeless 2007-08-20 22:39:52 PDT
Comment on attachment 246659 [details] [diff] [review]
look before leaping

this is nuts. I'm something of a module owner, and even I can't get reviews.

I'm not going to try again.
Comment 9 Boris Zbarsky [:bz] 2007-08-20 23:05:20 PDT
Comment on attachment 246659 [details] [diff] [review]
look before leaping

Sure.
Comment 10 Boris Zbarsky [:bz] 2007-08-22 21:33:26 PDT
Comment on attachment 246659 [details] [diff] [review]
look before leaping

a=bzbarsky
Comment 11 timeless 2007-09-05 03:36:11 PDT
mozilla/embedding/browser/gtk/src/EmbedPrivate.cpp 	1.65 <timeless@mozdev.org> 2006-12-03 20:06

joke's on me. sorry all.

Note You need to log in before you can comment on or make changes to this bug.